import dynamix_sdk.base as _base


class CloudapiRgAddStoragePolicyResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiRgAddStoragePolicyProtocol(_base.BasePostAPIFunctionProtocol):
    def add_storage_policy(
        self,
        *,
        rg_id: int,
        storage_policy_id: int,
        storage_size_gb: None | int = None,
    ) -> CloudapiRgAddStoragePolicyResultBool:
        ...
